> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Accept Suggested Group Key > Accepts the E2E group key that another room member suggested for the authenticated user in an encrypted room. The suggested key becomes the user's room key, and the user is removed from the room's queue of users waiting for a key. If the user has no previous room keys, the suggested previous room keys are also saved. ### Changelog | Version | Description | | ------- | ------------| | 6.0.0 | Added | ## OpenAPI ````json POST /api/v1/e2e.acceptSuggestedGroupKey { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/e2e.acceptSuggestedGroupKey": { "post": { "summary": "Accept Suggested Group Key", "operationId": "post-api-v1-e2e.acceptSuggestedGroupKey", "description": "Accepts the E2E group key that another room member suggested for the authenticated user in an encrypted room. The suggested key becomes the user's room key, and the user is removed from the room's queue of users waiting for a key. If the user has no previous room keys, the suggested previous room keys are also saved.\n\n### Changelog\n| Version | Description |\n| ------- | ------------|\n| 6.0.0 | Added |", "tags": [ "E2E" ], "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "rid": { "type": "string", "description": "The room ID.", "example": "wCiXndNp5NqNY3uCc" } }, "required": [ "rid" ] }, "examples": { "Example": { "value": { "rid": "wCiXndNp5NqNY3uCc" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" } } } } }, "examples": { "Invalid Params": { "value": { "success": false, "error": "must have required property 'rid'", "errorType": "error-invalid-params" } }, "Subscription Not Found": { "value": { "success": false, "error": "Subscription not found [error-subscription-not-found]", "errorType": "error-subscription-not-found", "details": { "method": "e2e.acceptSuggestedGroupKey" } } }, "No Suggested Key": { "value": { "success": false, "error": "No suggested key available [error-no-suggested-key-available]", "errorType": "error-no-suggested-key-available", "details": { "method": "e2e.acceptSuggestedGroupKey" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````